package com.fdkankan.platform.user.service;

import com.fdkankan.platform.user.entity.ReceiverInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.user.request.RequestUser;

import java.util.List;

/**
 * <p>
 * 收货人信息表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IReceiverInfoService extends IService<ReceiverInfo> {

    ReceiverInfo getDefaultByUserId(Long userId);

    String saveByParam(RequestUser param, Long userId);

    String updateDefaultAddress(RequestUser param, Long userId);

    List<ReceiverInfo> getListByUserId(Long id);

    ReceiverInfo findDefaultByUserId(Long userId);
}
